#  sel2*, selview: several programs to view schedule event listings
#  Copyright (C) 1998-2005  Ferdy Hanssen
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# CONFIGURATION FILE

# Which programs to use for the compilation process (should not need changing)
CC	= gcc
LEX	= flex
LFLAGS	= -P$(basename $(basename $@))
BISON	= bison
BFLAGS	= -b $(basename $@) -d -y -p $(basename $(basename $@))
INSTALL	= install
MKDIRH	= ./mkdirhier.sh
CHMOD	= chmod
CP	= cp
RM	= rm -f
MV	= mv
RMR	= $(RM) -r
SED	= sed
TAR	= tar
GZIP	= gzip
TAREXT	= .tar
GZIPEXT	= .gz

# Where to install (change if necessary)
PREFIX	= /usr/local

BINDIR	= $(PREFIX)/bin
MANDIR	= $(PREFIX)/man
MAN1DIR	= $(MANDIR)/man1
MAN5DIR	= $(MANDIR)/man5

# Where to find the gd library (probably needs changing)
GD_INCLUDE	= /usr/local/include
GD_LIBDIR	= /usr/local/lib

# Where to find the png library (probably needs changing)
PNG_INCLUDE	= /usr/include
PNG_LIBDIR	= /usr/lib

# Where to find the zlib library (probably needs changing)
ZLIB_INCLUDE	= /usr/include
ZLIB_LIBDIR	= /usr/lib

# Where to find the plumber and elf libraries (probably needs changing)
# See http://www.schwartz-omalley.com/people/owen/tools/plumber.html for more information
# These are only needed for certain debugging options
PL_INCLUDE	= /usr/local/include
PL_LIBDIR	= /usr/local/lib
ELF_LIBDIR	= /usr/lib

# All graphics libraries' includes and libdirs (should not need changing)
ALL_INCLUDE	= -I$(GD_INCLUDE) -I$(PNG_INCLUDE) -I$(ZLIB_INCLUDE)
ALL_LIBDIR	= -L$(GD_LIBDIR) -L$(PNG_LIBDIR) -L$(ZLIB_LIBDIR)

# Various settings for debugging (choose one if you want debugging)
DEBUGW	= -Wall -W -Wpointer-arith -Wbad-function-cast -Wcast-align -Wstrict-prototypes
#CFLAGS	= $(DEBUGW) $(ALL_INCLUDE) -g -O -DGTK_DISABLE_COMPAT_H -DDEBUG -DYYDEBUG=1
#CFLAGS = $(DEBUGW) $(ALL_INCLUDE) -g -O -DGTK_DISABLE_COMPAT_H -DDEBUG -DPLUMBER -I$(PL_INCLUDE)
#CFLAGS	= $(DEBUGW) $(ALL_INCLUDE) -g -O -DGTK_DISABLE_COMPAT_H -DDEBUG
#CFLAGS	= $(DEBUGW) $(ALL_INCLUDE) -g -O -DGTK_DISABLE_COMPAT_H -DCHECK_UNUSED
#CFLAGS	= $(DEBUGW) $(ALL_INCLUDE) -g -O -DGTK_DISABLE_COMPAT_H -DHIDE_UNUSED
#LDFLAGS	= $(ALL_LIBDIR)
#PLLIB	= -L$(PL_LIBDIR) -lplumber -L$(ELF_LIBDIR) -lelf

# Use these settings for the production version (comment these if you want debugging)
CFLAGS	= -Wall $(ALL_INCLUDE) -O2 -fomit-frame-pointer \
	  -fno-strength-reduce -DGTK_DISABLE_COMPAT_H
LDFLAGS	= $(ALL_LIBDIR) -s
PLLIB	=
