/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef ACTIONS_H
#define ACTIONS_H

#include "types.h"

typedef enum {
	period,
	exec,
	resource_claim,
	deadline_redef
} action_type;

typedef struct actiontree {
	action_type type;
	unsigned long start_time; /* sort criterium */
	unsigned long end_time;
	int rsrc_id;
	unsigned long new_deadline;
	struct actiontree *sooner;
	struct actiontree *later;
} actiontree;

actiontree *add_action(actiontree *at, action_type type, ...);
void free_actions(actiontree *at);
unsigned long get_highest_time_from_actions(actiontree *at);
unsigned long get_lowest_time_from_actions(actiontree *at);

#endif /* !ACTIONS_H */
