/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef ACTIONS_NUM_H
#define ACTIONS_NUM_H

#include "actions.h"

typedef enum {
	release,
	deadline,
	exec_start,
	exec_end,
	claim_res,
	free_res,
	redef_deadline
} actionlist_type;

typedef struct actionlist {
	actionlist_type type;
	unsigned long time;
	int rsrc_id;
	unsigned long new_deadline;
	struct actionlist *prev;
	struct actionlist *next;
} actionlist;

const char *actionlisttype2ascii(actionlist_type type);
actionlist *convert_tree_to_list(actiontree *at);
void free_actionlist(actionlist *al);

#endif /* !ACTIONS_NUM_H */
