/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef GDCROP_H
#define GDCROP_H

/*
 * Supplementary functions for cropping of images,
 * for use in conjunction with the gd library
 *
 * Copyright (C) 1998-2005 by Ferdy Hanssen <hanssen@croky.net>
 *
 * Functions for cropping (all functions return void):
 * gdCropLeft(gdImagePtr *im, int background_color):   crops the left band of the
 *                                                     image <im>, which consists
 *                                                     of one color only: the
 *                                                     specified <background_color>
 * gdCropRight(gdImagePtr *im, int background_color):  crops the right band of the
 *                                                     image <im>, which consists
 *                                                     of one color only: the
 *                                                     specified <background_color>
 * gdCropTop(gdImagePtr *im, int background_color):    crops the upper band of the
 *                                                     image <im>, which consists
 *                                                     of one color only: the
 *                                                     specified <background_color>
 * gdCropBottom(gdImagePtr *im, int background_color): crops the lower band of the
 *                                                     image <im>, which consists
 *                                                     of one color only: the
 *                                                     specified <background_color>
 * gdCrop(gdImagePtr *im, int background_color):       combines gdCropLeft,
 *                                                     gdCropRight, gdCropTop, and
 *                                                     gdCropBottom
 */

#include <gd.h>

void gdCropLeft(gdImagePtr *im, int background_color);
void gdCropRight(gdImagePtr *im, int background_color);
void gdCropTop(gdImagePtr *im, int background_color);
void gdCropBottom(gdImagePtr *im, int background_color);
void gdCrop(gdImagePtr *im, int background_color);

#endif /* !GDCROP_H */
