/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * Supplementary function for drawing arrows of type ---->
 * for use in conjunction with the gd library
 *
 * Copyright (C) 1998-2005 by Ferdy Hanssen <hanssen@croky.net>
 *
 * Functions:
 * void gdImageVertArrow(gdImagePtr im, int x, int y1, int y2, int color,
 *                       int arrow_size)
 * void gdImageHoriArrow(gdImagePtr im, int x1, int x2, int y, int color,
 *                       int arrow_size)
 *      Draws a vertical or horizontal arrow of type ---->, the arrow head is at
 *      (x,y2) or (x2,y) respectively, the size of the arrow head is determined
 *      by arrow_size.
 */

#include <gd.h>

#include "gdImageArrow.h"

void gdImageVertArrow(gdImagePtr im, int x, int y1, int y2, int color, int arrow_size)
{
	gdImageLine(im, x, y1, x, y2, color);
	if (y1 > y2) {
		gdImageLine(im, x, y2, x - arrow_size, y2 + arrow_size, color);
		gdImageLine(im, x, y2, x + arrow_size, y2 + arrow_size, color);
	} else if (y1 < y2) {
		gdImageLine(im, x, y2, x - arrow_size, y2 - arrow_size, color);
		gdImageLine(im, x, y2, x + arrow_size, y2 - arrow_size, color);
	}
}

void gdImageHoriArrow(gdImagePtr im, int x1, int x2, int y, int color, int arrow_size)
{
	gdImageLine(im, x1, y, x2, y, color);
	if (x1 > x2) {
		gdImageLine(im, x2, y, x2 + arrow_size, y - arrow_size, color);
		gdImageLine(im, x2, y, x2 + arrow_size, y + arrow_size, color);
	} else if (x1 < x2) {
		gdImageLine(im, x2, y, x2 - arrow_size, y - arrow_size, color);
		gdImageLine(im, x2, y, x2 - arrow_size, y + arrow_size, color);
	}
}
