/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef GTKNUMBERRANGE_H
#define GTKNUMBERRANGE_H

#include <gtk/gtk.h>

#define GTK_NUMBERRANGE(obj)	(GtkNumberrange*)(obj)

typedef struct _GtkNumberrange {
	GtkTable table;

	GtkWidget *numberfield;
	GtkWidget *bigupbutton;
	GtkWidget *upbutton;
	GtkWidget *downbutton;
	GtkWidget *bigdownbutton;
	unsigned long value;
	unsigned long minimum;
	unsigned long maximum;
	unsigned long change;
	unsigned long big_change;
	void (*action)(struct _GtkNumberrange *w, unsigned long n);
} GtkNumberrange;

GtkWidget *gtk_numberrange_new(
	const char *label,
	unsigned long initial_value,
	unsigned long minimum,
	unsigned long maximum,
	unsigned long change,
	unsigned long big_change,
	void (*action)(GtkNumberrange *w, unsigned long new_value));

void gtk_numberrange_destroy(GtkNumberrange *w);

void gtk_numberrange_set(GtkNumberrange *w, unsigned long value);
void gtk_numberrange_minimum_set(GtkNumberrange *w, unsigned long minimum);
void gtk_numberrange_maximum_set(GtkNumberrange *w, unsigned long maximum);
void gtk_numberrange_change_set(GtkNumberrange *w, unsigned long change);
void gtk_numberrange_big_change_set(GtkNumberrange *w, unsigned long big_change);

unsigned long gtk_numberrange_get(GtkNumberrange *w);
unsigned long gtk_numberrange_minimum_get(GtkNumberrange *w);
unsigned long gtk_numberrange_maximum_get(GtkNumberrange *w);
unsigned long gtk_numberrange_change_get(GtkNumberrange *w);
unsigned long gtk_numberrange_big_change_get(GtkNumberrange *w);

#endif /* !GTKNUMBERRANGE_H */
