/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <gtk/gtk.h>

#include "gtkpreviewhelper.h"

/* Call this macro repeatedly.  After each use, the pixel data can be extracted. */

#define HEADER_PIXEL(data,pixel) \
  pixel[0] = (((data[0] - 33) << 2) | ((data[1] - 33) >> 4)); \
  pixel[1] = ((((data[1] - 33) & 0xF) << 4) | ((data[2] - 33) >> 2)); \
  pixel[2] = ((((data[2] - 33) & 0x3) << 6) | ((data[3] - 33))); \
  data += 4;

GtkWidget *gtk_build_preview(guchar *data, gint width, gint height)
{
	register gint x, y;
	guchar *tmp, *src, *dst;
	GtkWidget *preview;

	preview = gtk_preview_new(GTK_PREVIEW_COLOR);
	gtk_preview_size(GTK_PREVIEW(preview), width, height);
	tmp = g_malloc(width * 3);
	src = data;
	for (y = 0; y < height; y++) {
		dst = tmp;
		for (x = 0; x < width; x++) {
			HEADER_PIXEL(src, dst);
			dst += 3;
		}
		gtk_preview_draw_row(GTK_PREVIEW(preview), tmp, 0, y, width);
	}
	g_free(tmp);
	return preview;
}
