/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef GUI_H
#define GUI_H

#include <limits.h>

#include <gd.h>

#include <gtk/gtk.h>

#include "sel.h"

extern GtkWidget *main_window, *pixmapwid, *statusbar, *guizoom, *guimintime, *guimaxtime, *fixedinterval_label;
extern guint statusbar_context_id;
extern GdkPixmap *pixmap, *icon;
extern GdkBitmap *mask;
extern gdImagePtr image;
extern filetype savetype;
extern unsigned long zoommax, timemin, timemax;
extern int fixedinterval;
extern unsigned long intervalsize;
extern int askquit;
extern int window_width, window_height;

#define MAXTIMEMAX			(((ULONG_MAX - 50) / 1000) * 1000)

/*
 * The following determines the maximum of zoommax * (maxtime - mintime).
 * Must do this because pixmaps wider than 32767 pixels mean trouble.
 * Therefore 32000 seems a reasonable value.
 */

#define ZOOM_TIME_PRODUCT_MAX_		32000

#define ZOOM_TIME_PRODUCT_MAX		(unsigned long) ZOOM_TIME_PRODUCT_MAX_

#define __ZTPM2(x)			"" #x
#define __ZTPM1(x)			__ZTPM2(x)
#define ZOOM_TIME_PRODUCT_MAX_STRING	__ZTPM1(ZOOM_TIME_PRODUCT_MAX_)

#endif /* !GUI_H */
