/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <strings.h>

#include <gtk/gtk.h>

#include "guicallbacks.h"
#include "guimenufactory.h"

static GtkItemFactoryEntry menu_items[] = {
	{"/_File", NULL, NULL, 0, "<Branch>"},
	{"/File/_Load", "<alt>L", file_load_cmd_callback, 0, NULL},
	{"/File/_Reload", "<alt>R", file_reload_cmd_callback, 0, NULL},
	{"/File/_Save", "<alt>S", file_save_cmd_callback, 0, NULL},
	{"/File/Sep1", NULL, NULL, 0, "<Separator>"},
	{"/File/_Options", "<alt>O", file_options_cmd_callback, 0, NULL},
	{"/File/Sep2", NULL, NULL, 0, "<Separator>"},
	{"/File/_Quit", "<alt>Q", (void *)file_quit_cmd_callback, TRUE, NULL},
	{"/_Help", NULL, NULL, 0, "<LastBranch>"},
	{"/Help/_About", NULL, file_about_cmd_callback, 0, NULL},
};

void get_main_menu(GtkWidget *window, GtkWidget **menubar)
{
	GtkItemFactory *menu_factory;
	GtkAccelGroup *accel_group;
	gint nmenu_items = sizeof(menu_items) / sizeof(menu_items[0]);

	accel_group = gtk_accel_group_new();

	menu_factory = gtk_item_factory_new(GTK_TYPE_MENU_BAR, "<main>", accel_group);

	gtk_item_factory_create_items(menu_factory, nmenu_items, menu_items, NULL);

	gtk_window_add_accel_group(GTK_WINDOW(window), accel_group);

	if (menubar) {
		*menubar = gtk_item_factory_get_widget(menu_factory, "<main>");
	}
}
