#!/bin/sh

#  mkdirhier.sh: program to create a directory and all supporting
#                higher-level directories
#  Copyright (C) 1998-2005  Ferdy Hanssen
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

pathname()
{
	if echo $1 | grep -q / ; then
		echo $1 | sed -e 's|/[^/]*$||'
	else
		echo ""
	fi
}

makedir()
{
	if [ ! -e $2 ] ; then
		if [ "`pathname $2`" != "" ] ; then
			if [ ! -d `pathname $2` ] ; then
				makedir $1 `pathname $2`
			fi
		fi
		mkdir $2
		chmod $1 $2
	else
		if [ ! -d $2 ] ; then
			echo "$progname: $2 is not a directory" 1>&2
			exit 1
		fi
	fi
}

progname=$0
if [ $# -ne 2 ] ; then
	echo "Usage: $progname mask directory" 1>&2
	exit 1
fi
makedir $1 $2
