/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

%{

#include <stdlib.h>
#include <string.h>

#include "error.h"
#include "sel.h"
#include "strsave.h"

#include "rc.parser.tab.h"

int rclineno;

%}

%%

[ \t]*			;			/* skip white space */

#.*$			;			/* skip comments */

\n			rclineno++;		/* end of line */

lower[-_]?limit		return Lower_limit;	/* token */
upper[-_]?limit		return Upper_limit;	/* token */
zoom			return Zoom;		/* token */
verbose			return Verbose;		/* token */
data			return Data;		/* token */
transparent		return Transparent;	/* token */
zoom[-_]?limit		return Zoom_limit;	/* token */
save[-_]?type		return Savetype;	/* token */
fixed[-_]?interval	return Fixed_Interval;	/* token */
ask[-_]?quit		return Ask_Quit;	/* token */
window[-_]?width	return Window_Width;	/* token */
window[-_]?height	return Window_Height;	/* token */

=			return Equals;		/* equals symbol */

[0-9]+			{			/* positive decimal number */
				rclval.uval = strtoul(rctext, NULL, 10);
				return Number;
			}

false			{			/* boolean false */
				rclval.bval = 0;
				return Boolean;
			}
true			{			/* boolean true */
				rclval.bval = 1;
				return Boolean;
			}

eps			{			/* filetype eps */
				rclval.tval = eps;
				return Filetype;
			}

png			{			/* filetype png */
				rclval.tval = png;
				return Filetype;
			}

xpm			{			/* filetype xpm */
				rclval.tval = xpm;
				return Filetype;
			}

.			{			/* everything else */
				rclval.cval = rctext[0];
				return Other;
			}
