/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SEL_H
#define SEL_H

#include <stdio.h>

typedef enum {eps, png, xpm} filetype;

extern int sellineno;

extern int rclineno;

extern char *progname;

extern char *input_filename;
#ifndef OUTPUT_GUI
extern char *output_filename;
#endif

#ifdef OUTPUT_GRAPH
extern unsigned long mintime;
#endif

extern unsigned long maxtime;

#ifdef OUTPUT_NUM
extern int verbosity, data;
#endif

#ifdef OUTPUT_GRAPH
extern unsigned long zoom;
extern int transparent;
#endif

#ifndef CHECK_UNUSED
# ifdef DEBUG
#  define unused(x)	(x) = (x)
# else
#  define unused(x)
# endif
#else
# define unused(x)
#endif
#ifdef HIDE_UNUSED
# undef unused
# define unused(x)	(x) = (x)
#endif

#endif /* !SEL_H */
