/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

%{

#include <stdlib.h>
#include <string.h>

#include "error.h"
#include "strsave.h"

#include "sel.parser.tab.h"

int sellineno;

%}

%%

[ \t]*		;			/* skip white space */

#.*$		;			/* skip comments */

\n		sellineno++;		/* end of line */

:?BODY		return BODY_t;		/* token */
ACTI		return ACTI_t;		/* token */
CLAIM		return CLAIM_t;		/* token */
DEADLINE	return DEADLINE_t;	/* token */
END		return END_t;		/* token */
EXEC		return EXEC_t;		/* token */
REDEF		return REDEF_t;		/* token */
RESOURCE	return RESOURCE_t;	/* token */
RSCL		return RSCL_t;		/* token (obsolete) */
RSFR		return RSFR_t;		/* token (obsolete) */
TASK		return TASK_t;		/* token */

-		return negative_t;	/* negate symbol */

[0-9]+		{			/* positive decimal number */
			sellval.uval = strtoul(seltext, NULL, 10);
			return posnum_t;
		}

\".*\"		{			/* string */
			char *tmp;

			tmp = strsave(seltext + 1);
			tmp[strlen(tmp) - 1] = '\0';
			sellval.cval = tmp;
			return string_t;
		}

.		{			/* everything else */
			selwarning("unknown character '%c', ignored", seltext[0]);
		}
