/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <stdio.h>
#include <string.h>

#include "strformat.h"

void strformat(FILE *out, char *input, long width)
{
	char *curr, *prev, *sp, *nl;

	curr = input;
	while (*curr != '\0') {
		prev = curr;
		nl = strchr(curr, '\n');
		if (nl && nl - curr <= width) {
			*nl = '\0';
			curr = nl + 1;
		} else {
			sp = strchr(curr, ' ');
			if (sp && sp - curr <= width) {
				curr += width;
				while (*curr != ' ') {
					curr--;
				}
				*curr = '\0';
				curr++;
			} else {
				*sp = '\0';
				curr = sp + 1;
			}
		}
		fprintf(out, "%s\n", prev);
	}
}
