/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef TASKS_H
#define TASKS_H

#include "actions.h"

typedef struct tasktree { /* binary tree sorted by id */
	int id;
	char *name;
	actiontree *actions;
	struct tasktree *left;
	struct tasktree *right;
} tasktree;

typedef struct resourcetree { /* binary tree sorted by id */
	int id;
	char *name;
	struct resourcetree *left;
	struct resourcetree *right;
} resourcetree;

extern unsigned int number_of_tasks;

/* Tasks */

void new_task(int tasknumber, char *name);

void free_tasks(void);

void add_action_to_task(action_type type, int tasknumber, ...);

unsigned long get_highest_action_time_from_tasks(void);
unsigned long get_lowest_action_time_from_tasks(void);
unsigned long get_longest_name_length_from_tasks(void);

/* Resources */

void new_resource(int resourcenumber, char *name);

void free_resources(void);

int get_highest_rsrc_id(void);

#endif /* !TASKS_H */
