/*
 *  sel2*, selview: several programs to view schedule event listings
 *  Copyright (C) 1998-2005  Ferdy Hanssen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef TYPES_H
#define TYPES_H

#include <limits.h>

typedef char			int8;	/* sizeof(  int8) must be  8 bits */
typedef unsigned char		uint8;	/* sizeof( uint8) must be  8 bits */
typedef short			int16;	/* sizeof( int16) must be 16 bits */
typedef unsigned short		uint16;	/* sizeof(uint16) must be 16 bits */
typedef int			int32;	/* sizeof( int32) must be 32 bits */
typedef unsigned int		uint32;	/* sizeof(uint32) must be 32 bits */
typedef long long		int64;	/* sizeof( int64) must be 64 bits */
typedef unsigned long long	uint64;	/* sizeof(uint64) must be 64 bits */

#ifndef INT8_MAX
#define	INT8_MAX		SCHAR_MAX
#endif
#ifndef UINT8_MAX
#define	UINT8_MAX		UCHAR_MAX
#endif
#ifndef INT16_MAX
#define	INT16_MAX		SHRT_MAX
#endif
#ifndef UINT16_MAX
#define	UINT16_MAX		USHRT_MAX
#endif
#ifndef INT32_MAX
#define	INT32_MAX		INT_MAX
#endif
#ifndef UINT32_MAX
#define	UINT32_MAX		UINT_MAX
#endif
#ifndef INT64_MAX
#define	INT64_MAX		LLONG_MAX
#endif
#ifndef UINT64_MAX
#define	UINT64_MAX		18446744073709551615ULL
#endif

#endif /* !TYPES_H */
